diff --git a/plugins/wildmidi/src/wildmidi_lib.c b/plugins/wildmidi/src/wildmidi_lib.c
index 26bf72acc0..3b9160124b 100644
--- a/plugins/wildmidi/src/wildmidi_lib.c
+++ b/plugins/wildmidi/src/wildmidi_lib.c
@@ -300,7 +300,7 @@ struct _mdi {
 	struct _WM_Info *tmp_info;
 	unsigned char recalc_samples;
 	struct _channel channel[16];
-	struct _note *note[128];
+	struct _note *note[1024];
 	struct _note **last_note;
 	struct _note note_table[2][16][128];
 
